package com.persagy.functions.weather.business.v2020.dict;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.persagy.core.service.BaseBusinessService;
import com.persagy.core.service.BusinessService;
import com.persagy.functions.weather.constant.DisasterConstant;

@Service("DicDisasterLevel")
@SuppressWarnings({ "unchecked", "rawtypes" })
public class DicDisasterLevel extends BaseBusinessService<Map> implements BusinessService {

	@Override
	public void handle(Map dto, List content) throws Exception {
		content.addAll(new ArrayList<>(Arrays.asList(DisasterConstant.levelArray)));
	}
}