package com.persagy.functions.weather.business.v2020.dict;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.persagy.core.service.BaseBusinessService;
import com.persagy.core.service.BusinessService;
import com.persagy.functions.weather.constant.WeatherConstant;

@Service("DicWeatherCodeName")
@SuppressWarnings({ "unchecked", "rawtypes" })
public class DicWeatherCodeName extends BaseBusinessService<Map> implements BusinessService {

	@Override
	public void handle(Map dto, List content) throws Exception {
		content.add(WeatherConstant.getStandCodeDesc());
	}
}